# Uses of Enum Class
org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo.Operation

Packages that use CDOLockChangeInfo.Operation
Package
Description
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.

## Uses of CDOLockChangeInfo.Operation in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock that return CDOLockChangeInfo.Operation
Modifier and Type
Method
Description
`CDOLockChangeInfo.Operation`
CDOLockChangeInfo.`getOperation()`
Deprecated.
As of 4.15 use `CDOLockChangeInfo.getOperations()`.
`static CDOLockChangeInfo.Operation`
CDOLockChangeInfo.Operation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOLockChangeInfo.Operation[]`
CDOLockChangeInfo.Operation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.lock that return types with arguments of type CDOLockChangeInfo.Operation
Modifier and Type
Method
Description
`Set<CDOLockChangeInfo.Operation>`
CDOLockChangeInfo.`getOperations()`
Methods in org.eclipse.emf.cdo.common.lock with parameters of type CDOLockChangeInfo.Operation
Modifier and Type
Method
Description
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOCommonView view, CDOBranch viewedBranch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOLockOwner lockOwner, CDOBranch branch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.

## Uses of CDOLockChangeInfo.Operation in org.eclipse.emf.cdo.spi.common.lock

Methods in org.eclipse.emf.cdo.spi.common.lock that return CDOLockChangeInfo.Operation
Modifier and Type
Method
Description
`final CDOLockChangeInfo.Operation`
AbstractCDOLockChangeInfo.`getOperation()`
Deprecated.
Methods in org.eclipse.emf.cdo.spi.common.lock that return types with arguments of type CDOLockChangeInfo.Operation
Modifier and Type
Method
Description
`final Set<CDOLockChangeInfo.Operation>`
AbstractCDOLockChangeInfo.`getOperations()`